Loading...
Searching...
No Matches
Opm::WellFractureSeeds::SeedSize Class Reference

Vertical extent, horizontal extent, and width of initial fracture at a seed point. More...

`#include <WellFractureSeeds.hpp>`

## Public Member Functions

| SeedSize ()=default
| Default constructor.
| SeedSize (const double ev, const double eh, const double wd)
| Constructor.
| SeedSize (const SeedSize &rhs)=default
| Copy constructor.
| SeedSize (SeedSize &&rhs)=default
| Move constructor.
SeedSize & | operator= (const SeedSize &rhs)=default
| Assignment operator.
SeedSize & | operator= (SeedSize &&rhs)=default
| Move assignment operator.
bool | operator== (const SeedSize &that) const
| Equality predicate.
bool | operator!= (const SeedSize &that) const
| Inequality predicate.
SeedSize & | horizontalExtent (const double eh)
| Assign horizontal extent.
SeedSize & | verticalExtent (const double ev)
| Assign vertical extent.
SeedSize & | width (const double wd)
| Assign initial fracture width.
auto | horizontalExtent () const
| Seed's horizontal extent.
auto | verticalExtent () const
| Seed's vertical extent.
auto | width () const
| Seed's initial fracture width.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Static Public Member Functions

static SeedSize | serializationTestObject ()
| Create a serialisation test object.

## Detailed Description

Vertical extent, horizontal extent, and width of initial fracture at a seed point.

## Constructor & Destructor Documentation

## SeedSize()

Opm::WellFractureSeeds::SeedSize::SeedSize | ( | const double | ev,
|  | const double | eh,
|  | const double | wd )

inline explicit

Constructor.

Mostly for the benefit of unit tests.

Parameters

  [in] | ev | Vertical extent.
  [in] | eh | Horizontal extent.
  [in] | wd | Initial fracture width.

## Member Function Documentation

## horizontalExtent()

SeedSize & Opm::WellFractureSeeds::SeedSize::horizontalExtent | ( | const double | eh | ) |

inline

Assign horizontal extent.

Supports chained initialisation.

Parameters

  [in] | eh | New horizontal extent.

Returns
  .

## operator!=()

bool Opm::WellFractureSeeds::SeedSize::operator!= | ( | const SeedSize & | that | ) | const

inline

Inequality predicate.

Parameters

  [in] | that | Object against which will be tested for inequality.

Returns
  Whether or not
  is different from `that`.

## operator==()

bool Opm::WellFractureSeeds::SeedSize::operator== | ( | const SeedSize & | that | ) | const

inline

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

## serializeOp()

template<class Serializer>

void Opm::WellFractureSeeds::SeedSize::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## verticalExtent()

SeedSize & Opm::WellFractureSeeds::SeedSize::verticalExtent | ( | const double | ev | ) |

inline

Assign vertical extent.

Supports chained initialisation.

Parameters

  [in] | ev | New vertical extent.

Returns
  .

## width()

SeedSize & Opm::WellFractureSeeds::SeedSize::width | ( | const double | wd | ) |

inline

Assign initial fracture width.

Supports chained initialisation.

Parameters

  [in] | wd | New initial fracture width.

Returns
  .

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/WellFractureSeeds.hpp
- opm/input/eclipse/Schedule/Well/WellFractureSeeds.cpp